# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your MultiworldGG options are valid at this site:
#        https://multiworld.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default The Simpsons Hit And Run Template

game: The Simpsons Hit And Run
requires:
  version: 0.7.150 # Version of MultiworldGG required for this yaml to work as expected.

The Simpsons Hit And Run:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0
    random-high: 0
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  goal:
    # Choose your victory condition.
    goal_all_missions_complete: 50
    goal_all_story_missions_complete: 0
    goal_final_missionl7m7: 0
    goal_wasps_and_cards_collected: 0

  levelsanity:
    # Choose how you want missions to be sent in the multiworld. Levels logically require the level access item and at least 1 car from that level or higher. You're guaranteed to start with a level and it's default car with either option.
    # Linear will add progressive levels to the pool. You'll start with Level 1 and the Family Sedan, then get the next level each time you receive a progressive level item.
    # Levels will add levels to the pool. You'll start the game with a random level and it's required items and receive levels from the multiworld.
    # Regardless of your choice, missions can be played in any order on an unlocked level.
    linear: 0
    levels: 50

  moverandomizer:
    # Choose whether or not to shuffle moves into the item pool.
    # Moves that are shuffled are Double Jump and Attack for each character.
    # These have logical implications for wasp and card collection
    # as well as L7M4 requiring Homer Double Jump.
    'false': 0
    'true': 50

  shuffleebrake:
    # Choose whether or not to shuffle ability to use the E-Brake
    # for each character into the item pool. *WARNING* This is not
    # considered in logic and has not been heavily tested.
    # It may create unreasonably hard seeds.
    'false': 0
    'true': 50

  EnableWaspPercent:
    # Whether to include Wasps in goal requirements.
    # This setting is always treated as true if your
    # goal is Goal: Wasps and Cards Collected!
    'false': 0
    'true': 50

  wasppercent:
    # Percent of Wasps required to goal if Wasp Requirements is enabled.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 10
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0
    random-high: 0

  EnableCardPercent:
    # Whether to include Cards in goal requirements.
    # This setting is always treated as true if your
    # goal is Goal: Wasps and Cards Collected!
    'false': 0
    'true': 50

  cardpercent:
    # Percent of Cards required to goal if Card Requirements is enabled.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 10
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0
    random-high: 0

  minprice:
    # The minimum cost of any item in Gil's Shop. 
    # If this is greater than the max shop price, then the max will be used instead.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 1000
    100: 50
    random: 0
    random-low: 0
    random-high: 0

  maxprice:
    # The maximum cost of any item in Gil's Shop.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 500
    300: 50
    random: 0
    random-low: 0
    random-high: 0

  shopscalemod:
    # The multiplier for shop costs per levels
    # L2 costs = L1 * multiplier, L3 = L1 * 2(multiplier), etc
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 5
    2: 50
    random: 0
    random-low: 0
    random-high: 0

  filler_traps:
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    0: 50
    random: 0
    random-low: 0
    random-high: 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with these items.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
